package com.huiju.estateagents.property.model;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 物业端用户和小区关联表
 * </p>
 *
 * @author weiximei
 * @since 2018-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_user_community")
public class TpUserCommunity implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;

    /**
     * 小区id
     */
    private Integer orgId;

    /**
     * 物业端用户id
     */
    private Integer tpUserId;


}
