package com.huiju.estateagents.property.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.center.taUser.entity.TaUser;
import com.huiju.estateagents.property.common.UserElement;
import com.huiju.estateagents.property.model.TaUserVerify;

/**
 * 审核 业务
 */
public interface ITaUserVerifyService extends IService<TaUserVerify> {

    /**
     * 查询 所有审核数据
     * @param phone
     * @param userName
     * @param idCard
     * @param pageNum
     * @param pageSize
     * @param userElement
     * @return
     */
    ResponseBean selectAll(String phone, String userName, String idCard, Integer pageNum, Integer pageSize, TaUser userElement);

    /**
     * 审核 用户
     * @param userElement
     * @param userVerifyId
     * @param verifyStatus
     * @param remark
     * @return
     */
    ResponseBean auditUser(TaUser userElement, Integer userVerifyId, Boolean verifyStatus, String remark);

    /**
     * 楼栋详情页面审核审核
     * @param userElement
     * @param userVerifyId
     * @param verifyStatus
     * @param remark
     * @return
     */
    ResponseBean verifyinfoAdd(TaUser userElement, Integer userVerifyId, String verifyStatus, String roleState, String remark);

}
