package com.huiju.estateagents.property.vo;

import com.huiju.estateagents.property.model.TpTicket;
import com.huiju.estateagents.property.model.TpTicketRecord;
import com.huiju.estateagents.property.model.TpTicketRecordComment;
import com.huiju.estateagents.property.model.User;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * version V1.0
 * class_name: $METHOD_NAME$
 * param: $METHOD_PARAM$
 * describe: TODO
 * creat_user:fannaixi
 * creat_time: 2019/2/14
 **/
@Data
public class TpTicketVO extends TpTicket {

    /** 小区编号 **/
    private Integer communityId;


    /**
     * 报修类型的名字
     */
    private String repairName;

    /** ====================================== **/


    /** 流程状态名称 **/
    private String ticketStatusName;

    /** 流程状态内容 **/
    private String ticketStatusContent;

    /** 流程状态时间 **/
    private Date ticketRecordDate;

    /** 最新进展 **/
    private String commentContent;

    /** 最新进展的时间 **/
    private Date commentCreateDate;

    /** 联系物业号码簿 **/
    private Map<String,Object> contactBook;

    /**投诉流程状态**/
    private String statusList;

    /**
     * 工单发起人
     */
    private String createUserNmae;

    /**
     * 发起人手机号码
     */
    private String loginName;

    /**
     * 当前受理人
     */
    private String tpUserNmae;

    /**
     * 物业端所有小区人员
     */
    private List<User> tpUsersList;

    /**
     * 本人
     */
    private  String currentUserName;

    /**
     * 工单内容图片
     */
    private  List<String> contentImageUrl;

    /**
     * 工单流程
     */
    private List<TpTicketRecord> recordList;

    /**
     * 工单创建人房产
     */
    private  String houseProperty;
}
